#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define	module coverage-test-runner
Summary:	Python module for enforcing code coverage completeness
Name:		python-%{module}
Version:	1.11
Release:	1
License:	GPL v3+
Group:		Libraries/Python
Source0:	http://code.liw.fi/debian/pool/main/p/python-coverage-test-runner/%{name}_%{version}.orig.tar.xz
# Source0-md5:	74dde92363a7fcc0dabe840e9e662857
URL:		http://liw.fi/coverage-test-runner/
BuildRequires:	python-coverage
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-coverage
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CoverageTestRunner is a Python module for running unit tests and
failing them if the unit test module does not exercise all statements
in the module it tests.

For example, unit tests in module foo_tests.py are supposed to test
everything in the foo.py module, and if they don't, it's a bug in the
test coverage. It does not matter if other tests happen to test the
missing parts. The unit tests for the module should test everything in
that module.

%prep
%setup -q

%build
%py_build

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%{py_sitescriptdir}/CoverageTestRunner.py[co]
%{py_sitescriptdir}/CoverageTestRunner-%{version}-py*.egg-info
%changelog
* Sat Apr 23 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-coverage-test-runner.git;a=log;h=master

* Sat Apr 23 2016 Jan Rękorajski <baggins@pld-linux.org> 9aaca25
- up to 1.11

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 0126a1b
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> da0d566
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9b76ff5
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d0c0a11
- automatic change: use py_build/py_install macros

* Mon Jan 20 2014 Elan Ruusamäe <glen@delfi.ee> bbd30d2
- new, version 1.10

